// DELETE /v1/users/passwords/{password_id}
const stytch = require('stytch');
const client = new stytch.Client({
project_id: '${projectId}',
secret: '${secret}',
});
const params = {
password_id: "password-test-ca6dbe77-10e5-4403-805a-b117c55c24c6",
};
client.Users.DeletePassword(params)
.then(resp => { console.log(resp) })
.catch(err => { console.log(err) });// DELETE /v1/users/passwords/{password_id}
package main
import (
"context"
"log"
"github.com/stytchauth/stytch-go/v18/stytch/consumer/stytchapi"
"github.com/stytchauth/stytch-go/v18/stytch/consumer/users"
)
func main() {
client, err := stytchapi.NewClient(
"${projectId}",
"${secret}",
)
if err != nil {
log.Fatalf("error instantiating client: %v", err)
}
params := &users.DeletePasswordParams{
PasswordID: "password-test-ca6dbe77-10e5-4403-805a-b117c55c24c6",
}
resp, err := client.Users.DeletePassword(context.Background(), params)
if err != nil {
log.Fatalf("error in method call: %v", err)
}
log.Println(resp)
}// DELETE /v1/users/passwords/{password_id}
package com.example;
import com.stytch.java.common.StytchResult;
import com.stytch.java.consumer.models.users.DeletePasswordRequest;
import com.stytch.java.consumer.StytchClient;
public class Main {
public static void main(String[] args) {
StytchClient.configure("${projectId}", "${secret}");
DeletePasswordRequest params = new DeletePasswordRequest();
params.setPasswordId("password-test-ca6dbe77-10e5-4403-805a-b117c55c24c6");
Object result = StytchClient.getUsers().deletePassword(params);
if (result instanceof StytchResult.Success) {
System.out.println(((StytchResult.Success) result).getValue());
} else {
System.out.println(((StytchResult.Error) result).getException());
}
}
}// DELETE /v1/users/passwords/{password_id}
package com.example
import com.stytch.java.consumer.StytchClient
import com.stytch.java.consumer.models.users.DeletePasswordRequest
fun main() {
StytchClient.configure(
projectId = "${projectId}",
secret = "${secret}",
)
when (
val result =
StytchClient.users.deletePassword(
DeletePasswordRequest(
passwordId = "password-test-ca6dbe77-10e5-4403-805a-b117c55c24c6",
),
)
) {
is StytchResult.Success -> println(result.value)
is StytchResult.Error -> println(result.exception)
}
}// DELETE /v1/users/passwords/{password_id}
const stytch = require('stytch');
const client = new stytch.Client({
project_id: '${projectId}',
secret: '${secret}',
});
const params = {
password_id: "password-test-ca6dbe77-10e5-4403-805a-b117c55c24c6",
};
client.users.deletePassword(params)
.then(resp => { console.log(resp) })
.catch(err => { console.log(err) });$response = $client->users->delete_password([
'password_id' => 'password-test-ca6dbe77-10e5-4403-805a-b117c55c24c6',
]);# DELETE /v1/users/passwords/{password_id}
from stytch import Client
client = Client(
project_id="${projectId}",
secret="${secret}",
)
resp = client.users.delete_password(
password_id="password-test-ca6dbe77-10e5-4403-805a-b117c55c24c6",
)
print(resp)# frozen_string_literal: true
# DELETE /v1/users/passwords/{password_id}
require 'stytch'
client = Stytch::Client.new(
project_id: "${projectId}",
secret: "${secret}"
)
resp = client.users.delete_password(
password_id: "password-test-ca6dbe77-10e5-4403-805a-b117c55c24c6"
)
puts resp// DELETE /v1/users/passwords/{password_id}
use stytch::consumer::client::Client;
use stytch::consumer::users::DeletePasswordRequest;
fn main() {
let client = Client::new("${projectId}", "${secret}").unwrap();
let resp = client.users.delete_password(
DeletePasswordRequest{
password_id: "password-test-ca6dbe77-10e5-4403-805a-b117c55c24c6",
..Default::default()
}
).await;
println!("The response is {:?}", resp);
}# DELETE /v1/users/passwords/{password_id}
curl --request DELETE \
--url https://test.stytch.com/v1/users/passwords/password-test-ca6dbe77-10e5-4403-805a-b117c55c24c6 \
-u '${projectId}:${secret}' \
-H 'Content-Type: application/json'{
"request_id": "<string>",
"user_id": "<string>",
"user": {
"user_id": "<string>",
"emails": [
{
"email_id": "<string>",
"email": "<string>",
"verified": true
}
],
"status": "<string>",
"phone_numbers": [
{
"phone_id": "<string>",
"phone_number": "<string>",
"verified": true
}
],
"webauthn_registrations": [
{
"webauthn_registration_id": "<string>",
"domain": "<string>",
"user_agent": "<string>",
"verified": true,
"authenticator_type": "<string>",
"name": "<string>"
}
],
"providers": [
{
"provider_type": "<string>",
"provider_subject": "<string>",
"profile_picture_url": "<string>",
"locale": "<string>",
"oauth_user_registration_id": "<string>"
}
],
"totps": [
{
"totp_id": "<string>",
"verified": true
}
],
"crypto_wallets": [
{
"crypto_wallet_id": "<string>",
"crypto_wallet_address": "<string>",
"crypto_wallet_type": "<string>",
"verified": true
}
],
"biometric_registrations": [
{
"biometric_registration_id": "<string>",
"verified": true
}
],
"is_locked": true,
"roles": [
"<string>"
],
"name": {
"first_name": "<string>",
"middle_name": "<string>",
"last_name": "<string>"
},
"created_at": "<string>",
"password": {
"password_id": "<string>",
"requires_reset": true
},
"trusted_metadata": {},
"untrusted_metadata": {},
"external_id": "<string>",
"lock_created_at": "<string>",
"lock_expires_at": "<string>"
},
"status_code": 123
}{
"status_code": 401,
"request_id": "request-id-test-b05c992f-ebdc-489d-a754-c7e70ba13141",
"error_type": "unauthorized_credentials",
"error_message": "Unauthorized credentials.",
"error_url": "https://stytch.com/docs/api/errors/401"
}{
"status_code": 429,
"request_id": "request-id-test-b05c992f-ebdc-489d-a754-c7e70ba13141",
"error_type": "too_many_requests",
"error_message": "Too many requests have been made.",
"error_url": "https://stytch.com/docs/api/errors/429"
}{
"status_code": 500,
"request_id": "request-id-test-b05c992f-ebdc-489d-a754-c7e70ba13141",
"error_type": "internal_server_error",
"error_message": "Oops, something seems to have gone wrong, please reach out to support@stytch.com to let us know what went wrong.",
"error_url": "https://stytch.com/docs/api/errors/500"
}Delete User Password
Delete a password from a User.
// DELETE /v1/users/passwords/{password_id}
const stytch = require('stytch');
const client = new stytch.Client({
project_id: '${projectId}',
secret: '${secret}',
});
const params = {
password_id: "password-test-ca6dbe77-10e5-4403-805a-b117c55c24c6",
};
client.Users.DeletePassword(params)
.then(resp => { console.log(resp) })
.catch(err => { console.log(err) });// DELETE /v1/users/passwords/{password_id}
package main
import (
"context"
"log"
"github.com/stytchauth/stytch-go/v18/stytch/consumer/stytchapi"
"github.com/stytchauth/stytch-go/v18/stytch/consumer/users"
)
func main() {
client, err := stytchapi.NewClient(
"${projectId}",
"${secret}",
)
if err != nil {
log.Fatalf("error instantiating client: %v", err)
}
params := &users.DeletePasswordParams{
PasswordID: "password-test-ca6dbe77-10e5-4403-805a-b117c55c24c6",
}
resp, err := client.Users.DeletePassword(context.Background(), params)
if err != nil {
log.Fatalf("error in method call: %v", err)
}
log.Println(resp)
}// DELETE /v1/users/passwords/{password_id}
package com.example;
import com.stytch.java.common.StytchResult;
import com.stytch.java.consumer.models.users.DeletePasswordRequest;
import com.stytch.java.consumer.StytchClient;
public class Main {
public static void main(String[] args) {
StytchClient.configure("${projectId}", "${secret}");
DeletePasswordRequest params = new DeletePasswordRequest();
params.setPasswordId("password-test-ca6dbe77-10e5-4403-805a-b117c55c24c6");
Object result = StytchClient.getUsers().deletePassword(params);
if (result instanceof StytchResult.Success) {
System.out.println(((StytchResult.Success) result).getValue());
} else {
System.out.println(((StytchResult.Error) result).getException());
}
}
}// DELETE /v1/users/passwords/{password_id}
package com.example
import com.stytch.java.consumer.StytchClient
import com.stytch.java.consumer.models.users.DeletePasswordRequest
fun main() {
StytchClient.configure(
projectId = "${projectId}",
secret = "${secret}",
)
when (
val result =
StytchClient.users.deletePassword(
DeletePasswordRequest(
passwordId = "password-test-ca6dbe77-10e5-4403-805a-b117c55c24c6",
),
)
) {
is StytchResult.Success -> println(result.value)
is StytchResult.Error -> println(result.exception)
}
}// DELETE /v1/users/passwords/{password_id}
const stytch = require('stytch');
const client = new stytch.Client({
project_id: '${projectId}',
secret: '${secret}',
});
const params = {
password_id: "password-test-ca6dbe77-10e5-4403-805a-b117c55c24c6",
};
client.users.deletePassword(params)
.then(resp => { console.log(resp) })
.catch(err => { console.log(err) });$response = $client->users->delete_password([
'password_id' => 'password-test-ca6dbe77-10e5-4403-805a-b117c55c24c6',
]);# DELETE /v1/users/passwords/{password_id}
from stytch import Client
client = Client(
project_id="${projectId}",
secret="${secret}",
)
resp = client.users.delete_password(
password_id="password-test-ca6dbe77-10e5-4403-805a-b117c55c24c6",
)
print(resp)# frozen_string_literal: true
# DELETE /v1/users/passwords/{password_id}
require 'stytch'
client = Stytch::Client.new(
project_id: "${projectId}",
secret: "${secret}"
)
resp = client.users.delete_password(
password_id: "password-test-ca6dbe77-10e5-4403-805a-b117c55c24c6"
)
puts resp// DELETE /v1/users/passwords/{password_id}
use stytch::consumer::client::Client;
use stytch::consumer::users::DeletePasswordRequest;
fn main() {
let client = Client::new("${projectId}", "${secret}").unwrap();
let resp = client.users.delete_password(
DeletePasswordRequest{
password_id: "password-test-ca6dbe77-10e5-4403-805a-b117c55c24c6",
..Default::default()
}
).await;
println!("The response is {:?}", resp);
}# DELETE /v1/users/passwords/{password_id}
curl --request DELETE \
--url https://test.stytch.com/v1/users/passwords/password-test-ca6dbe77-10e5-4403-805a-b117c55c24c6 \
-u '${projectId}:${secret}' \
-H 'Content-Type: application/json'{
"request_id": "<string>",
"user_id": "<string>",
"user": {
"user_id": "<string>",
"emails": [
{
"email_id": "<string>",
"email": "<string>",
"verified": true
}
],
"status": "<string>",
"phone_numbers": [
{
"phone_id": "<string>",
"phone_number": "<string>",
"verified": true
}
],
"webauthn_registrations": [
{
"webauthn_registration_id": "<string>",
"domain": "<string>",
"user_agent": "<string>",
"verified": true,
"authenticator_type": "<string>",
"name": "<string>"
}
],
"providers": [
{
"provider_type": "<string>",
"provider_subject": "<string>",
"profile_picture_url": "<string>",
"locale": "<string>",
"oauth_user_registration_id": "<string>"
}
],
"totps": [
{
"totp_id": "<string>",
"verified": true
}
],
"crypto_wallets": [
{
"crypto_wallet_id": "<string>",
"crypto_wallet_address": "<string>",
"crypto_wallet_type": "<string>",
"verified": true
}
],
"biometric_registrations": [
{
"biometric_registration_id": "<string>",
"verified": true
}
],
"is_locked": true,
"roles": [
"<string>"
],
"name": {
"first_name": "<string>",
"middle_name": "<string>",
"last_name": "<string>"
},
"created_at": "<string>",
"password": {
"password_id": "<string>",
"requires_reset": true
},
"trusted_metadata": {},
"untrusted_metadata": {},
"external_id": "<string>",
"lock_created_at": "<string>",
"lock_expires_at": "<string>"
},
"status_code": 123
}{
"status_code": 401,
"request_id": "request-id-test-b05c992f-ebdc-489d-a754-c7e70ba13141",
"error_type": "unauthorized_credentials",
"error_message": "Unauthorized credentials.",
"error_url": "https://stytch.com/docs/api/errors/401"
}{
"status_code": 429,
"request_id": "request-id-test-b05c992f-ebdc-489d-a754-c7e70ba13141",
"error_type": "too_many_requests",
"error_message": "Too many requests have been made.",
"error_url": "https://stytch.com/docs/api/errors/429"
}{
"status_code": 500,
"request_id": "request-id-test-b05c992f-ebdc-489d-a754-c7e70ba13141",
"error_type": "internal_server_error",
"error_message": "Oops, something seems to have gone wrong, please reach out to support@stytch.com to let us know what went wrong.",
"error_url": "https://stytch.com/docs/api/errors/500"
}Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Path Parameters
The password_id to be deleted.
Response
Successful response
Globally unique UUID that is returned with every API call. This value is important to log for debugging purposes; we may ask for this value to help identify a specific API call when helping you debug an issue.
The unique ID of the affected User.
The user object affected by this API call. See the Get user endpoint for complete response field details.
Show child attributes
Show child attributes
The HTTP status code of the response. Stytch follows standard HTTP response status code patterns, e.g. 2XX values equate to success, 3XX values are redirects, 4XX are client errors, and 5XX are server errors.